// Code generated by protoc-gen-go. DO NOT EDIT.
// source: blockchain_query.proto

package pb

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type QueryResponse struct {
	Message              string   `protobuf:"bytes,1,opt,name=Message,proto3" json:"Message,omitempty"`
	Status               string   `protobuf:"bytes,2,opt,name=Status,proto3" json:"Status,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *QueryResponse) Reset()         { *m = QueryResponse{} }
func (m *QueryResponse) String() string { return proto.CompactTextString(m) }
func (*QueryResponse) ProtoMessage()    {}
func (*QueryResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_b629ba55aa7040b5, []int{0}
}

func (m *QueryResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_QueryResponse.Unmarshal(m, b)
}
func (m *QueryResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_QueryResponse.Marshal(b, m, deterministic)
}
func (m *QueryResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_QueryResponse.Merge(m, src)
}
func (m *QueryResponse) XXX_Size() int {
	return xxx_messageInfo_QueryResponse.Size(m)
}
func (m *QueryResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_QueryResponse.DiscardUnknown(m)
}

var xxx_messageInfo_QueryResponse proto.InternalMessageInfo

func (m *QueryResponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func (m *QueryResponse) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

type NetworkNode struct {
	ChainID              string   `protobuf:"bytes,1,opt,name=ChainID,proto3" json:"ChainID,omitempty"`
	Host                 string   `protobuf:"bytes,2,opt,name=Host,proto3" json:"Host,omitempty"`
	Port                 uint64   `protobuf:"varint,3,opt,name=Port,proto3" json:"Port,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *NetworkNode) Reset()         { *m = NetworkNode{} }
func (m *NetworkNode) String() string { return proto.CompactTextString(m) }
func (*NetworkNode) ProtoMessage()    {}
func (*NetworkNode) Descriptor() ([]byte, []int) {
	return fileDescriptor_b629ba55aa7040b5, []int{1}
}

func (m *NetworkNode) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_NetworkNode.Unmarshal(m, b)
}
func (m *NetworkNode) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_NetworkNode.Marshal(b, m, deterministic)
}
func (m *NetworkNode) XXX_Merge(src proto.Message) {
	xxx_messageInfo_NetworkNode.Merge(m, src)
}
func (m *NetworkNode) XXX_Size() int {
	return xxx_messageInfo_NetworkNode.Size(m)
}
func (m *NetworkNode) XXX_DiscardUnknown() {
	xxx_messageInfo_NetworkNode.DiscardUnknown(m)
}

var xxx_messageInfo_NetworkNode proto.InternalMessageInfo

func (m *NetworkNode) GetChainID() string {
	if m != nil {
		return m.ChainID
	}
	return ""
}

func (m *NetworkNode) GetHost() string {
	if m != nil {
		return m.Host
	}
	return ""
}

func (m *NetworkNode) GetPort() uint64 {
	if m != nil {
		return m.Port
	}
	return 0
}

type FindAllResponse struct {
	Status               string         `protobuf:"bytes,1,opt,name=status,proto3" json:"status,omitempty"`
	NetworkNodes         []*NetworkNode `protobuf:"bytes,2,rep,name=NetworkNodes,proto3" json:"NetworkNodes,omitempty"`
	XXX_NoUnkeyedLiteral struct{}       `json:"-"`
	XXX_unrecognized     []byte         `json:"-"`
	XXX_sizecache        int32          `json:"-"`
}

func (m *FindAllResponse) Reset()         { *m = FindAllResponse{} }
func (m *FindAllResponse) String() string { return proto.CompactTextString(m) }
func (*FindAllResponse) ProtoMessage()    {}
func (*FindAllResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_b629ba55aa7040b5, []int{2}
}

func (m *FindAllResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_FindAllResponse.Unmarshal(m, b)
}
func (m *FindAllResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_FindAllResponse.Marshal(b, m, deterministic)
}
func (m *FindAllResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_FindAllResponse.Merge(m, src)
}
func (m *FindAllResponse) XXX_Size() int {
	return xxx_messageInfo_FindAllResponse.Size(m)
}
func (m *FindAllResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_FindAllResponse.DiscardUnknown(m)
}

var xxx_messageInfo_FindAllResponse proto.InternalMessageInfo

func (m *FindAllResponse) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

func (m *FindAllResponse) GetNetworkNodes() []*NetworkNode {
	if m != nil {
		return m.NetworkNodes
	}
	return nil
}

type ChainIdRequest struct {
	ChainID              string   `protobuf:"bytes,1,opt,name=ChainID,proto3" json:"ChainID,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ChainIdRequest) Reset()         { *m = ChainIdRequest{} }
func (m *ChainIdRequest) String() string { return proto.CompactTextString(m) }
func (*ChainIdRequest) ProtoMessage()    {}
func (*ChainIdRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_b629ba55aa7040b5, []int{3}
}

func (m *ChainIdRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ChainIdRequest.Unmarshal(m, b)
}
func (m *ChainIdRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ChainIdRequest.Marshal(b, m, deterministic)
}
func (m *ChainIdRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ChainIdRequest.Merge(m, src)
}
func (m *ChainIdRequest) XXX_Size() int {
	return xxx_messageInfo_ChainIdRequest.Size(m)
}
func (m *ChainIdRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ChainIdRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ChainIdRequest proto.InternalMessageInfo

func (m *ChainIdRequest) GetChainID() string {
	if m != nil {
		return m.ChainID
	}
	return ""
}

type ChainIdResponse struct {
	ChainID              string   `protobuf:"bytes,1,opt,name=ChainID,proto3" json:"ChainID,omitempty"`
	HashBlockchain       string   `protobuf:"bytes,2,opt,name=HashBlockchain,proto3" json:"HashBlockchain,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ChainIdResponse) Reset()         { *m = ChainIdResponse{} }
func (m *ChainIdResponse) String() string { return proto.CompactTextString(m) }
func (*ChainIdResponse) ProtoMessage()    {}
func (*ChainIdResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_b629ba55aa7040b5, []int{4}
}

func (m *ChainIdResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ChainIdResponse.Unmarshal(m, b)
}
func (m *ChainIdResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ChainIdResponse.Marshal(b, m, deterministic)
}
func (m *ChainIdResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ChainIdResponse.Merge(m, src)
}
func (m *ChainIdResponse) XXX_Size() int {
	return xxx_messageInfo_ChainIdResponse.Size(m)
}
func (m *ChainIdResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ChainIdResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ChainIdResponse proto.InternalMessageInfo

func (m *ChainIdResponse) GetChainID() string {
	if m != nil {
		return m.ChainID
	}
	return ""
}

func (m *ChainIdResponse) GetHashBlockchain() string {
	if m != nil {
		return m.HashBlockchain
	}
	return ""
}

type HostRequest struct {
	Host                 string   `protobuf:"bytes,1,opt,name=Host,proto3" json:"Host,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *HostRequest) Reset()         { *m = HostRequest{} }
func (m *HostRequest) String() string { return proto.CompactTextString(m) }
func (*HostRequest) ProtoMessage()    {}
func (*HostRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_b629ba55aa7040b5, []int{5}
}

func (m *HostRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_HostRequest.Unmarshal(m, b)
}
func (m *HostRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_HostRequest.Marshal(b, m, deterministic)
}
func (m *HostRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_HostRequest.Merge(m, src)
}
func (m *HostRequest) XXX_Size() int {
	return xxx_messageInfo_HostRequest.Size(m)
}
func (m *HostRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_HostRequest.DiscardUnknown(m)
}

var xxx_messageInfo_HostRequest proto.InternalMessageInfo

func (m *HostRequest) GetHost() string {
	if m != nil {
		return m.Host
	}
	return ""
}

type FindAllRequest struct {
	Page                 int64    `protobuf:"varint,1,opt,name=Page,proto3" json:"Page,omitempty"`
	Limit                int64    `protobuf:"varint,2,opt,name=Limit,proto3" json:"Limit,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *FindAllRequest) Reset()         { *m = FindAllRequest{} }
func (m *FindAllRequest) String() string { return proto.CompactTextString(m) }
func (*FindAllRequest) ProtoMessage()    {}
func (*FindAllRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_b629ba55aa7040b5, []int{6}
}

func (m *FindAllRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_FindAllRequest.Unmarshal(m, b)
}
func (m *FindAllRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_FindAllRequest.Marshal(b, m, deterministic)
}
func (m *FindAllRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_FindAllRequest.Merge(m, src)
}
func (m *FindAllRequest) XXX_Size() int {
	return xxx_messageInfo_FindAllRequest.Size(m)
}
func (m *FindAllRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_FindAllRequest.DiscardUnknown(m)
}

var xxx_messageInfo_FindAllRequest proto.InternalMessageInfo

func (m *FindAllRequest) GetPage() int64 {
	if m != nil {
		return m.Page
	}
	return 0
}

func (m *FindAllRequest) GetLimit() int64 {
	if m != nil {
		return m.Limit
	}
	return 0
}

type ChainIdRequestEmpty struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ChainIdRequestEmpty) Reset()         { *m = ChainIdRequestEmpty{} }
func (m *ChainIdRequestEmpty) String() string { return proto.CompactTextString(m) }
func (*ChainIdRequestEmpty) ProtoMessage()    {}
func (*ChainIdRequestEmpty) Descriptor() ([]byte, []int) {
	return fileDescriptor_b629ba55aa7040b5, []int{7}
}

func (m *ChainIdRequestEmpty) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ChainIdRequestEmpty.Unmarshal(m, b)
}
func (m *ChainIdRequestEmpty) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ChainIdRequestEmpty.Marshal(b, m, deterministic)
}
func (m *ChainIdRequestEmpty) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ChainIdRequestEmpty.Merge(m, src)
}
func (m *ChainIdRequestEmpty) XXX_Size() int {
	return xxx_messageInfo_ChainIdRequestEmpty.Size(m)
}
func (m *ChainIdRequestEmpty) XXX_DiscardUnknown() {
	xxx_messageInfo_ChainIdRequestEmpty.DiscardUnknown(m)
}

var xxx_messageInfo_ChainIdRequestEmpty proto.InternalMessageInfo

func init() {
	proto.RegisterType((*QueryResponse)(nil), "QueryResponse")
	proto.RegisterType((*NetworkNode)(nil), "NetworkNode")
	proto.RegisterType((*FindAllResponse)(nil), "FindAllResponse")
	proto.RegisterType((*ChainIdRequest)(nil), "ChainIdRequest")
	proto.RegisterType((*ChainIdResponse)(nil), "ChainIdResponse")
	proto.RegisterType((*HostRequest)(nil), "HostRequest")
	proto.RegisterType((*FindAllRequest)(nil), "FindAllRequest")
	proto.RegisterType((*ChainIdRequestEmpty)(nil), "ChainIdRequestEmpty")
}

func init() {
	proto.RegisterFile("blockchain_query.proto", fileDescriptor_b629ba55aa7040b5)
}

var fileDescriptor_b629ba55aa7040b5 = []byte{
	// 395 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x74, 0x52, 0xcf, 0x6f, 0xda, 0x30,
	0x14, 0x26, 0x84, 0x31, 0xed, 0xc1, 0x12, 0x66, 0x18, 0x8b, 0x38, 0x31, 0x1f, 0x26, 0xb4, 0x83,
	0x35, 0x31, 0x69, 0x07, 0xb4, 0x1e, 0xa0, 0x50, 0x40, 0x6a, 0x29, 0x0d, 0xb7, 0xf6, 0x50, 0x05,
	0x62, 0x95, 0x88, 0x10, 0x87, 0xd8, 0xa8, 0xe5, 0xdc, 0x7f, 0xbc, 0x4a, 0xe2, 0x84, 0x04, 0xc1,
	0xcd, 0x9f, 0xed, 0xf7, 0xbe, 0x1f, 0xef, 0x41, 0x73, 0xe9, 0xb2, 0xd5, 0x66, 0xb5, 0xb6, 0x1c,
	0xef, 0x79, 0xb7, 0xa7, 0xc1, 0x81, 0xf8, 0x01, 0x13, 0x0c, 0xf7, 0xe1, 0xeb, 0x43, 0x08, 0x4d,
	0xca, 0x7d, 0xe6, 0x71, 0x8a, 0x0c, 0xf8, 0x7c, 0x47, 0x39, 0xb7, 0x5e, 0xa8, 0xa1, 0xb4, 0x95,
	0xce, 0x17, 0x33, 0x81, 0xa8, 0x09, 0xe5, 0x85, 0xb0, 0xc4, 0x9e, 0x1b, 0xc5, 0xe8, 0x41, 0x22,
	0x7c, 0x0f, 0x95, 0x19, 0x15, 0xaf, 0x2c, 0xd8, 0xcc, 0x98, 0x1d, 0x35, 0xb8, 0x0e, 0x69, 0xa6,
	0xc3, 0xa4, 0x81, 0x84, 0x08, 0x41, 0x69, 0xc2, 0xb8, 0x90, 0xe5, 0xd1, 0x39, 0xbc, 0x9b, 0xb3,
	0x40, 0x18, 0x6a, 0x5b, 0xe9, 0x94, 0xcc, 0xe8, 0x8c, 0x9f, 0x40, 0xbf, 0x71, 0x3c, 0xbb, 0xef,
	0xba, 0xa9, 0xaa, 0x26, 0x94, 0x79, 0xcc, 0x1d, 0xf7, 0x94, 0x08, 0xfd, 0x81, 0x6a, 0x86, 0x3b,
	0x54, 0xa6, 0x76, 0x2a, 0xdd, 0x2a, 0xc9, 0x5c, 0x9a, 0xb9, 0x1f, 0xf8, 0x37, 0x68, 0xb1, 0x1e,
	0xdb, 0xa4, 0xbb, 0x3d, 0xe5, 0xe2, 0xb2, 0x60, 0xbc, 0x00, 0x3d, 0xfd, 0x7b, 0x8c, 0xe7, 0x82,
	0xbb, 0x5f, 0xa0, 0x4d, 0x2c, 0xbe, 0x1e, 0xa4, 0x39, 0x4b, 0x9f, 0x27, 0xb7, 0xf8, 0x27, 0x54,
	0x42, 0xe7, 0x09, 0x7b, 0x12, 0x8a, 0x72, 0x0c, 0x05, 0xf7, 0x40, 0x4b, 0x03, 0x48, 0x7f, 0xcd,
	0x93, 0x91, 0xa8, 0x66, 0x74, 0x46, 0x0d, 0xf8, 0x74, 0xeb, 0x6c, 0x9d, 0x38, 0x4f, 0xd5, 0x8c,
	0x01, 0xfe, 0x0e, 0xf5, 0xbc, 0xbf, 0xd1, 0xd6, 0x17, 0x87, 0xee, 0x7b, 0x11, 0x6a, 0xd3, 0xa3,
	0x8a, 0x68, 0xe6, 0xe8, 0x1f, 0x34, 0x86, 0x8c, 0xf2, 0x90, 0xb3, 0xef, 0x06, 0xd4, 0xb2, 0x0f,
	0xa3, 0x37, 0x87, 0x0b, 0x54, 0x25, 0x19, 0x85, 0x2d, 0x8d, 0xe4, 0x36, 0x04, 0x17, 0xd0, 0x7f,
	0xf8, 0x11, 0xd6, 0x49, 0x9e, 0x5c, 0xa9, 0x4e, 0xf2, 0xec, 0x67, 0xaa, 0x7b, 0x50, 0x97, 0xee,
	0xb2, 0x83, 0x41, 0x3a, 0xc9, 0x7b, 0x6e, 0xd5, 0xc8, 0xc9, 0x16, 0xe0, 0x02, 0xba, 0x82, 0x6f,
	0x63, 0x2a, 0x24, 0xc5, 0x98, 0x7a, 0x94, 0x3b, 0x1c, 0x35, 0xc8, 0x19, 0xc7, 0xad, 0x1a, 0x39,
	0x99, 0x1d, 0x2e, 0x0c, 0x4a, 0x8f, 0x45, 0x7f, 0xb9, 0x2c, 0x47, 0xab, 0xff, 0xf7, 0x23, 0x00,
	0x00, 0xff, 0xff, 0xc7, 0x62, 0x5f, 0x69, 0x14, 0x03, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// IBlockchainQueryClient is the client API for IBlockchainQuery service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type IBlockchainQueryClient interface {
	DoesHostAlreadyExist(ctx context.Context, in *HostRequest, opts ...grpc.CallOption) (*QueryResponse, error)
	DoesChainIdAlreadyExist(ctx context.Context, in *ChainIdRequest, opts ...grpc.CallOption) (*QueryResponse, error)
	FindAllNetworkNodes(ctx context.Context, in *FindAllRequest, opts ...grpc.CallOption) (*FindAllResponse, error)
	GetChainIdGenesis(ctx context.Context, in *ChainIdRequestEmpty, opts ...grpc.CallOption) (*ChainIdResponse, error)
}

type iBlockchainQueryClient struct {
	cc grpc.ClientConnInterface
}

func NewIBlockchainQueryClient(cc grpc.ClientConnInterface) IBlockchainQueryClient {
	return &iBlockchainQueryClient{cc}
}

func (c *iBlockchainQueryClient) DoesHostAlreadyExist(ctx context.Context, in *HostRequest, opts ...grpc.CallOption) (*QueryResponse, error) {
	out := new(QueryResponse)
	err := c.cc.Invoke(ctx, "/IBlockchainQuery/DoesHostAlreadyExist", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iBlockchainQueryClient) DoesChainIdAlreadyExist(ctx context.Context, in *ChainIdRequest, opts ...grpc.CallOption) (*QueryResponse, error) {
	out := new(QueryResponse)
	err := c.cc.Invoke(ctx, "/IBlockchainQuery/DoesChainIdAlreadyExist", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iBlockchainQueryClient) FindAllNetworkNodes(ctx context.Context, in *FindAllRequest, opts ...grpc.CallOption) (*FindAllResponse, error) {
	out := new(FindAllResponse)
	err := c.cc.Invoke(ctx, "/IBlockchainQuery/FindAllNetworkNodes", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *iBlockchainQueryClient) GetChainIdGenesis(ctx context.Context, in *ChainIdRequestEmpty, opts ...grpc.CallOption) (*ChainIdResponse, error) {
	out := new(ChainIdResponse)
	err := c.cc.Invoke(ctx, "/IBlockchainQuery/GetChainIdGenesis", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// IBlockchainQueryServer is the server API for IBlockchainQuery service.
type IBlockchainQueryServer interface {
	DoesHostAlreadyExist(context.Context, *HostRequest) (*QueryResponse, error)
	DoesChainIdAlreadyExist(context.Context, *ChainIdRequest) (*QueryResponse, error)
	FindAllNetworkNodes(context.Context, *FindAllRequest) (*FindAllResponse, error)
	GetChainIdGenesis(context.Context, *ChainIdRequestEmpty) (*ChainIdResponse, error)
}

// UnimplementedIBlockchainQueryServer can be embedded to have forward compatible implementations.
type UnimplementedIBlockchainQueryServer struct {
}

func (*UnimplementedIBlockchainQueryServer) DoesHostAlreadyExist(ctx context.Context, req *HostRequest) (*QueryResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DoesHostAlreadyExist not implemented")
}
func (*UnimplementedIBlockchainQueryServer) DoesChainIdAlreadyExist(ctx context.Context, req *ChainIdRequest) (*QueryResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DoesChainIdAlreadyExist not implemented")
}
func (*UnimplementedIBlockchainQueryServer) FindAllNetworkNodes(ctx context.Context, req *FindAllRequest) (*FindAllResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method FindAllNetworkNodes not implemented")
}
func (*UnimplementedIBlockchainQueryServer) GetChainIdGenesis(ctx context.Context, req *ChainIdRequestEmpty) (*ChainIdResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetChainIdGenesis not implemented")
}

func RegisterIBlockchainQueryServer(s *grpc.Server, srv IBlockchainQueryServer) {
	s.RegisterService(&_IBlockchainQuery_serviceDesc, srv)
}

func _IBlockchainQuery_DoesHostAlreadyExist_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(HostRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IBlockchainQueryServer).DoesHostAlreadyExist(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/IBlockchainQuery/DoesHostAlreadyExist",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IBlockchainQueryServer).DoesHostAlreadyExist(ctx, req.(*HostRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IBlockchainQuery_DoesChainIdAlreadyExist_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ChainIdRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IBlockchainQueryServer).DoesChainIdAlreadyExist(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/IBlockchainQuery/DoesChainIdAlreadyExist",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IBlockchainQueryServer).DoesChainIdAlreadyExist(ctx, req.(*ChainIdRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IBlockchainQuery_FindAllNetworkNodes_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(FindAllRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IBlockchainQueryServer).FindAllNetworkNodes(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/IBlockchainQuery/FindAllNetworkNodes",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IBlockchainQueryServer).FindAllNetworkNodes(ctx, req.(*FindAllRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _IBlockchainQuery_GetChainIdGenesis_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ChainIdRequestEmpty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(IBlockchainQueryServer).GetChainIdGenesis(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/IBlockchainQuery/GetChainIdGenesis",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(IBlockchainQueryServer).GetChainIdGenesis(ctx, req.(*ChainIdRequestEmpty))
	}
	return interceptor(ctx, in, info, handler)
}

var _IBlockchainQuery_serviceDesc = grpc.ServiceDesc{
	ServiceName: "IBlockchainQuery",
	HandlerType: (*IBlockchainQueryServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "DoesHostAlreadyExist",
			Handler:    _IBlockchainQuery_DoesHostAlreadyExist_Handler,
		},
		{
			MethodName: "DoesChainIdAlreadyExist",
			Handler:    _IBlockchainQuery_DoesChainIdAlreadyExist_Handler,
		},
		{
			MethodName: "FindAllNetworkNodes",
			Handler:    _IBlockchainQuery_FindAllNetworkNodes_Handler,
		},
		{
			MethodName: "GetChainIdGenesis",
			Handler:    _IBlockchainQuery_GetChainIdGenesis_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "blockchain_query.proto",
}
